// editdemo.cpp : implementation file
//

#include "stdafx.h"
#include "vbxdemo.h"
#include "editdemo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditDemo dialog


CEditDemo::CEditDemo(CWnd* pParent /*=NULL*/)
	: CDialog(CEditDemo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditDemo)
	m_pEdit1 = NULL;
	m_pEdit2 = NULL;
	m_pSpin1 = NULL;
	m_pSpin2 = NULL;
	//}}AFX_DATA_INIT
}

void CEditDemo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditDemo)
	DDX_VBEdit(pDX, IDC_VBEDIT1, m_pEdit1);
	DDX_VBEdit(pDX, IDC_VBEDIT2, m_pEdit2);
	DDX_VBSpin(pDX, IDC_VBSPIN1, m_pSpin1);
	DDX_VBSpin(pDX, IDC_VBSPIN2, m_pSpin2);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CEditDemo, CDialog)
	//{{AFX_MSG_MAP(CEditDemo)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_UPDATE, IDC_VBEDIT1, OnUpdateVbedit1)
	ON_VBXEVENT(VBN_UPDATE, IDC_VBEDIT2, OnUpdateVbedit2)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN1, OnScrollupVbspin1)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN1, OnScrolldnVbspin1)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN2, OnScrollupVbspin2)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN2, OnScrolldnVbspin2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CEditDemo message handlers

void CEditDemo::OnDestroy()
{
	CDialog::OnDestroy();
	
	::WinHelp( m_hWnd, "VBXSTD12.HLP", HELP_QUIT, NULL );		
	
}

BOOL CEditDemo::OnInitDialog()
{
	CDialog::OnInitDialog();
	UpdateData( FALSE );	
	if ( !IsHlpHere() )
		GetDlgItem( IDHELP )->EnableWindow( FALSE );
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CEditDemo::OnHelp()
{
	CString FAR szWinDir, szName, szMsg;
	GetSystemDirectory( szWinDir.GetBuffer(250), 248 );
	szWinDir.ReleaseBuffer();
	if ( szWinDir.GetLength() > 3 )
		szWinDir += "\\";
	szName = szWinDir;
	szName += "VBXSTD12.HLP";
    if ( !IsHlpHere() )
    	return;
	::WinHelp( m_hWnd, szName, HELP_KEY, (long)"VBEdit" );

}

void CEditDemo::OnUpdateVbedit1(UINT, int, CWnd*, LPVOID)
{
	if ( m_pEdit1->IsValid() )
		SetDlgItemText( IDC_STATICEDIT1, "<Valid>" );
	else
		SetDlgItemText( IDC_STATICEDIT1, "<Not Valid>" );
	
}

void CEditDemo::OnUpdateVbedit2(UINT, int, CWnd*, LPVOID)
{
	if ( m_pEdit2->IsValid() )
		SetDlgItemText( IDC_STATICEDIT2, "<Valid>" );
	else
		SetDlgItemText( IDC_STATICEDIT2, "<Not Valid>" );
		
}

void CEditDemo::OnScrollupVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pEdit1->Increment() = TRUE; 
	m_pSpin1->Value() = 0;  // disable the spin range checking...
	
}

void CEditDemo::OnScrolldnVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pEdit1->Decrement() = TRUE;	
	m_pSpin1->Value() = 0; // disable the spin range checking...
	
}

void CEditDemo::OnScrollupVbspin2(UINT, int, CWnd*, LPVOID)
{
	m_pEdit2->Increment() = TRUE;
	m_pSpin2->Value() = 0; // disable the spin range checking...

}

void CEditDemo::OnScrolldnVbspin2(UINT, int, CWnd*, LPVOID)
{
	m_pEdit2->Decrement() = TRUE;
	m_pSpin2->Value() = 0; // disable the spin range checking...

}

void CEditDemo::OnCancel()
{
	CDialog::OnCancel();
}
